libhwsd2-1.1.1-lp151.5.3.x86_64.rpm


Advertisement

Description

libhwsd2 - Local and remote GPU discovery: HW-SD libraries

Property Value
Distribution openSUSE Leap 15.1
Repository Packman all
Package filename libhwsd2-1.1.1-lp151.5.3.x86_64.rpm
Package name libhwsd2
Package version 1.1.1
Package release lp151.5.3
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.equalizergraphics.com/
License GPL-3.0 and LGPL-2.1
Maintainer -
Download size 93.57 KB
Installed size 312.30 KB
HW-SD is a library and daemon for the discovery and announcement of hardware
resources using ZeroConf. It enables auto-configuration of ad-hoc GPU clusters
and multi-GPU machines.

Alternatives

Package Version Architecture Repository
libhwsd2-1.1.1-5.2.armv7hl.rpm 1.1.1 armv7hl Packman
libhwsd2-1.1.1-5.2.aarch64.rpm 1.1.1 aarch64 Packman
libhwsd2 - - -

Requires

Name Value
/sbin/ldconfig -
libLunchbox.so.3()(64bit) -
libboost_regex.so.1.66.0()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libhwsd.so.2()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -

Provides

Name Value
libhwsd.so.2()(64bit) -
libhwsd1 = 1.1.1
libhwsd2 = 1.1.1-lp151.5.3
libhwsd2(x86-64) = 1.1.1-lp151.5.3
libhwsd_gpu_dns_sd.so.1()(64bit) -
libhwsd_net_dns_sd.so.1()(64bit) -
libhwsd_net_sys.so.1()(64bit) -

Obsoletes

Name Value
libhwsd1 < 1.1.1

Download

Type URL
Mirror packman.inode.at
Binary Package libhwsd2-1.1.1-lp151.5.3.x86_64.rpm
Source Package hwsd-1.1.1-lp151.5.3.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.1/ packman
  2. Install libhwsd2 rpm package:
    # zypper install libhwsd2

Files

Path
/usr/lib64/libhwsd.so.1.1.1
/usr/lib64/libhwsd.so.2
/usr/lib64/libhwsd_gpu_dns_sd.so.1
/usr/lib64/libhwsd_gpu_dns_sd.so.1.1.1
/usr/lib64/libhwsd_net_dns_sd.so.1
/usr/lib64/libhwsd_net_dns_sd.so.1.1.1
/usr/lib64/libhwsd_net_sys.so.1
/usr/lib64/libhwsd_net_sys.so.1.1.1

Changelog

2015-11-04 - avvissu@yandex.ru
- Don't use qt4 on openSUSE > 13.2
2015-05-31 - avvissu@yandex.ru
- Fix conflicts files from package:
* add old_soname from old package
2015-05-16 - avvissu@yandex.ru
- Update to 1.1.1
- Add source package CMake-common (Common CMake modules)
- Drop old patches:
* date-and-time.diff
* DoxygenRule.diff
* fix-64bit.diff
- Add new patches:
* CMake_doxygen.patch
* hwsd-1.1.1_avahi.patch
* hwsd-1.1.1_include.patch
* hwsd-1.1.1_libdir.patch
- Add recommended packages to build with optional packages
- Use pkgconfig in package names
- Add link to library on openSUSE > 13.2
- Use %%cmake macro instead of cmake
- Spec file
2014-03-14 - avvissu@yandex.ru
- [Fixed] RPMlint W: Your file uses  __DATE and __TIME__ this
causes the package to rebuild when not needed
2013-12-25 - avvissu@yandex.ru
- add gpu_dns_sd: Remote ZeroConf (Bonjour) discovery for GPUs
announced by the daemon
- add net_dns_sd: Remote ZeroConf (Bonjour) discovery for network
interfaces announced by the daemon
2013-12-20 - avvissu@yandex.ru
- Initial release 1.0.0

See Also

Package Description
libjoschy-devel-0.8.1-4.3.aarch64.rpm Header files for Jochy Library for RecordItNow
libjoschy-devel-0.8.1-4.3.x86_64.rpm Header files for Jochy Library for RecordItNow
libjoschy0-0.8.1-4.3.aarch64.rpm Jochy Library for RecordItNow
libjoschy0-0.8.1-4.3.x86_64.rpm Jochy Library for RecordItNow
libkvazaar-devel-1.3.0-lp151.1.1.aarch64.rpm Header files libkvazaar
libkvazaar-devel-1.3.0-lp151.1.1.armv7hl.rpm Header files libkvazaar
libkvazaar-devel-1.3.0-lp151.1.1.x86_64.rpm Header files libkvazaar
libkvazaar4-1.3.0-lp151.1.1.aarch64.rpm HEVC encoder
libkvazaar4-1.3.0-lp151.1.1.armv7hl.rpm HEVC encoder
libkvazaar4-1.3.0-lp151.1.1.x86_64.rpm HEVC encoder
liblash1-0.5.4-28.2.aarch64.rpm Development package for LASH
liblash1-0.5.4-28.2.armv7hl.rpm Development package for LASH
liblash1-0.5.4-lp151.28.2.x86_64.rpm Development package for LASH
liblash1-64bit-0.5.4-28.2.aarch64_ilp32.rpm Development package for LASH
liblinuxsampler-devel-2.1.0-lp151.16.84.x86_64.rpm Development files for linuxsampler
Advertisement
Advertisement